<?php
/**
* @author zerosix.com
* @copyright zerosix.com
* @license zerosix.com
**/

if (!defined('_PS_VERSION_'))
        exit;
include_once dirname(__FILE__).'/../../zerosix.php';
include_once dirname(__FILE__).'/../../phone_locale.php';

class zerosixaccountModuleFrontController extends ModuleFrontController
{

  public function __construct()
  {
    parent::__construct();
    $this->module = new Zerosix;
    $this->display_column_left  = false;
    $this->display_column_right = false;
  }

  public function initContent()
  {

    parent::initContent();
    if(!$this->context->customer->logged)
    {
      return Tools::redirect('/');
    }

    $customer = $this->context->customer;
    $card     = $this->module->getCard((int)$customer->id);
    $zs_phone = $this->module->getPhoneNum((int)$customer->id);
    $zsSponsorCode = null;
    $prefered_language_id = null;
    $error    = array();
    $success  = array();
    $waiting_otp = $this->module->isWaitingOtp();
    $shop_id = (int)$this->context->shop->id;

    // check OTP
    if(Tools::isSubmit('checkOtp'))
    {
      if($waiting_otp != false)
      {
        $otp  = Tools::getValue('otp');
        $num  = $waiting_otp['number'];
        $link = $this->context->link->getModuleLink('zerosix','account');
        $call = $this->module->checkOtp($waiting_otp['number'],$otp); 

        if($call)
        {
          // mapping card
          $card = $call;
          
          $id_user_zs = $this->module->getIdFromZSApiUrl($card->url);

          $id_card_zs = $this->module->getIdFromZSApiUrl($card->card->url);

          $this->module->mapExistingCard($customer->id, $id_user_zs, $id_card_zs, $shop_id, $num);
          $this->module->removeOtp((int)$customer->id);

          if (Tools::getIsset("from_page")) {
            $from_page = Tools::getValue("from_page");
            return Tools::redirect($this->context->link->getPageLink($from_page));
          }
          return $this->reloadPage(array('opt_check' => 'success'));
        }else{
          return $this->reloadPage(array('opt_check' => 'false'));
        }
      }
      
    }

    if(Tools::getIsset('action') && Tools::getValue('action') == 'sendOtp')
    {
      if($waiting_otp != false)
      {
        $link = $this->context->link->getModuleLink('zerosix','account');
        $call = $this->module->sendOtp($waiting_otp['number']);
        if($call)
          return Tools::redirect($link."?otpSentSuccess");
        else
          return Tools::redirect($link."?otpSentFail");
      }
    }

    if(Tools::getIsset('opt_check') && Tools::getValue('opt_check') == 'success')
    {
      $success[] = $this->module->l('Your card is now linked to your account','account');
      $this->context->smarty->assign('success',$success);
    }

    if(Tools::getIsset('opt_check') && Tools::getValue('opt_check') == 'false')
    {
      $error[] = $this->module->l('The code is not the good, please try again or click on Send again to receive a new code','account');
      $this->context->smarty->assign('error',$error);
    }

    if(Tools::getIsset('otpSentSuccess'))
    {
      $success[] = $this->module->l('Your code has been sent on your mobile phone','account');
      $this->context->smarty->assign('success',$success);
    }

    if(Tools::getIsset('otpSentFail'))
    {
      $error[] = $this->module->l('Fail when your code has been sent','account');
      $this->context->smarty->assign('error',$error);
    }

    // convert CASHBACK
    if(Tools::isSubmit('convertCashBack') && $card != null)
    {
      $cashback     =  0;
      $id_customer  = (int)$this->context->customer->id;
      $success = array();
      $errors = array();
      if($card)
      {
        $zs_results   = $this->module->getCardInfoZS($card);

        if($zs_results->program_info->program_type == "CASHBACK")
        {

          $cashback   = (float)$zs_results->points_balance;
          $withdraw = $this->module->withDrawCashback($card,$cashback);

          if($withdraw !== false)
          {
              $id_visit_zs = $this->module->getIdFromZSApiUrl($withdraw->url);

              $return = $this->module->mappingWithdraw($id_customer, $withdraw->cashback_withdraw_value,$id_visit);
              if($return)
              {
                $success[] = $this->module->l('Your voucher has been created, you can use it in your shopping cart or customer account.','account');
                $this->context->smarty->assign('success',$success);
              }else {
                $error[] = $this->module->l('An error has occured, please try again later','account');
                $this->context->smarty->assign('error',$error);
              }
          }
        }
        // program_info->program_type == "CASHBACK"
      }else{
        $error[] = $this->module->l('Card doesn\t exist','account');
        $this->context->smarty->assign('error',$error);
      }
    }
    if(Tools::isSubmit('submitZSCard') && !$card && Tools::getValue('zs_phone') != '')
    {
        $zs_phone = pSQL(Tools::getValue('zs_phone'));
        if(zerosix_is_valid_mobile_number(zerosix_normalize_mobile_number($zs_phone)) !== 1)
        {
          $error[] = $this->module->l('Please enter a valid mobile phone number','account');
          $this->context->smarty->assign('error',$error);
        }else{

          $check = $this->module->checkIfCardExists($zs_phone);
          if($check){
            // card exist on ZS, map to PS
            // ask otp
            $mapped = $this->module->isAlreadyMapped($zs_phone, $shop_id);
            
            if($mapped)
            {
              $results = false;
              $error[] = $this->module->l('This card is already mapped with an other customer','account');
              $this->context->smarty->assign('error',$error);
              $this->renderView();
              
            }

            if(!$this->module->isWaitingOtp() && !$mapped)
            {
              if($this->module->sendOtp($zs_phone))
              {
                $this->module->registerOtp($zs_phone, (int)$customer->id);
              }
              $results = false;
              $success[] = $this->module->l('The code has been sent on your mobile phone.','account');
              $this->context->smarty->assign('success',$success);
              $this->renderView();
              return ;
            }

          }else{

            if(Tools::getValue('zs_sponsor_code') != "") {
              $zsSponsorCode = Tools::getValue('zs_sponsor_code');
            }
            if(Tools::getValue('prefered_language_id') != "") {
              $prefered_language_id = Tools::getValue('prefered_language_id');
            }
            // not exists Create on ZS and Map TO PS
            $results = $this->module->createCardZS($zs_phone, $zsSponsorCode, $customer, $prefered_language_id);
          }
          if(!$results){
            $error[] = $this->module->l('Error when saving data, try again later please.','account');
            $this->context->smarty->assign('error',$error);

          }else{
              $success[] = $this->module->l('Settings saved!','account');
              $this->context->smarty->assign('success',$success);
              $card     = $this->module->getCard((int)$customer->id);
          }
        }
    }

    if($card)
    {
      $zs_results = $this->module->getCardInfoZS($card);
    
      if($zs_results)
      {
        $this->context->smarty->assign('zs_results',$zs_results);
      }

    }
    $this->context->smarty->assign('card',$card);
    $this->context->smarty->assign('zs_phone',$zs_phone);
    // uri of terms and loyalty program
    $url_loyalty = Configuration::get('ZEROSIX_URL_LOYALTY');
    $url_terms   = Configuration::get('ZEROSIX_URL_TERMS');    
    $sponsorshipEnabled = Configuration::get('ZEROSIX_SPONSORSHIP');
    $aboutSponsorship = Configuration::get('ZEROSIX_URL_SPONSORSHIP');
    $this->context->smarty->assign('url_terms',$url_terms);
    $this->context->smarty->assign('url_loyalty',$url_loyalty);

    $store_infos = $this->module->getStoreInformations();
    $multi_languages_enabled = $store_infos->options->multi_languages_enabled;
    $available_languages = $store_infos->available_languages;
    $this->context->smarty->assign('multi_languages_enabled',$multi_languages_enabled);
    $this->context->smarty->assign('available_languages',$available_languages);
    $this->context->smarty->assign('sponsorship_enabled', $sponsorshipEnabled);
    $this->context->smarty->assign('about_sponsorship', $aboutSponsorship);
    
   
    if(isset($zs_results) && $zs_results == false)
    {
      $error[] = $this->module->l('There is an error with your card, please contact us','account');
      $this->context->smarty->assign('error',$error);
    }
    $this->renderView();
  }

  public function reloadPage($params = array())
  {
    return Tools::redirect($this->context->link->getModuleLink('zerosix','account',$params));
  }

  public function renderView()
  {
    $shop_id = (int)$this->context->shop->id;
    $waiting_otp = $this->module->isWaitingOtp();
    if($this->module->is_ps17)
    {
      $this->getBreadcrumbLinks();
      $tpl = 'module:zerosix/views/templates/front/account-controller-17.tpl';
      if($waiting_otp)
        $tpl = 'module:zerosix/views/templates/front/otp-17.tpl';
      $this->setTemplate($tpl);
    }else
    {
      $tpl = 'account-controller.tpl';
      if($waiting_otp)
        $tpl = 'otp.tpl';
      $this->setTemplate($tpl);
    }
  }

  /*
    * Get bredcrumb for 1.7
  */
  public function getBreadcrumbLinks()
  {
      $breadcrumb = parent::getBreadcrumbLinks();
      $breadcrumb['links'][] = $this->addMyAccountToBreadcrumb();
      $breadcrumb['links'][] = [
          'title' => $this->module->l('My loyalty card','account'),
          'url' => $this->context->link->getModuleLink('zerosix', 'account')
       ];
       return $breadcrumb;
   }
}
