{*
  * @name zerosix
  * @license zerosix.com
  * @author zerosix.com
  * @copyright zerosix.com
  *}
{extends 'customer/page.tpl'}

{block name='page_content'}
  {if isset($error) && $error|count > 0 }
    <div class="alert alert-danger">
      {foreach from=$error item=message}
        {$message|escape:'htmlall':'UTF-8'}<br/>
      {/foreach}
    </div>
  {/if}

  {if isset($success) && $success|count > 0 }
    <div class="alert alert-success">
      {foreach from=$success item=message}
        {$message|escape:'htmlall':'UTF-8'}<br/>
      {/foreach}
    </div>
  {/if}


  <section id="zs_customer_content" class="page-content">
    {if isset($zs_results) && $zs_results}
      <h1 class="page-subheading">{l s='Your loyalty card' mod='zerosix'}</h1>
      <hr class="zs-sepa-title"/>
      <div class="row zs-container-loyaty-informaitons">
        {if isset($zs_phone) && $zs_phone != ''}
          <p class="zs-associate-mobile">
            <i class="material-icons zs-associate-icon">smartphone</i>
            <span>{l s='Your card is link to your mobile phone' mod='zerosix'} : </span>
            <span class="zs-blue-bold">{$zs_phone|escape:'htmlall':'UTF-8'}</span>
          </p>
          <p class="zs-card-creation-date">
            <i class="material-icons zs-associate-icon">credit_card</i>
            <span>{l s='Your loyalty card was activated on' mod='zerosix'} : </span>
            <span class="zs-blue-bold">{$zs_results->creation_date|date_format:"%d/%m/%y"}</span>
          </p>
        {if $sponsorship_enabled}
          {if isset($zs_results->sponsor_code)}
            <i class="material-icons zs-associate-icon">group</i>
            <span>{l s='Your sponsor code is' mod='zerosix'} : </span>
            <span class="zs-blue-bold">{$zs_results->sponsor_code|escape:'htmlall'}</span>
          {/if}
        {/if}
        {/if}
      </div>
      {if isset($zs_results->statutory_info->current_status_name)}
        <h2 class="page-subheading ">{l s='Your statutory informations' mod='zerosix'}</h2>
        <hr class="zs-sepa-title"/>
        <div class="zs-container-statut-informations container">
          <div class="zs-container-statut-icon col-md-3 col-xs-12">
            <figure>
              <img src="{$zs_results->statutory_info->current_status_icon}" title="icone statut" alt="icone statut" />
              <figcaption>{$zs_results->statutory_info->current_status_name}</figcaption>
            </figure>
          </div>
          <div class="zs-container-statut-infos ps-17 col-md-9 col-xs-12">
            <div class="statut-points-infos">
              <p>
                <i class="material-icons zs-associate-icon">assignment</i>
                <span>{l s='You have accumulated' mod='zerosix'} : </span>
                <span class="bold">{$zs_results->statutory_info->status_points_balance} points</span><!-- put statut points name-->
              </p>
            </div>
            <h3 class="zs-title-statut-description">{l s='Your status description' mod='zerosix'}</h3>
            <div class="zs-statut-description">{$zs_results->statutory_info->current_status_description nofilter}</div>

            {if isset($zs_results->statutory_info->next_status_name)}
            <p class="zs-next-statut-name ps-17">
              <span>{l s='Next status' mod='zerosix'} : </span>
              <img src="{$zs_results->statutory_info->next_status_icon}" title="statut icone" alt="statut icone" />
              <span class="bold">{$zs_results->statutory_info->next_status_name}</span>
            </p>
            <p class="zs-next-statut-points ps-17">
              <span>{l s='Next status available in' mod='zerosix'} : </span>
              <span class="bold">{$zs_results->statutory_info->status_points_for_next_status} points</span><!-- put statut points name-->
            </p>
            {/if}
          </div>
        </div>
      {/if}

      {if $zs_results->program_info->program_type == "CASHBACK"}
      <h2 class="page-subheading">{l s='Cashback and vouchers' mod='zerosix'}</h2>
      {else}
      <h2 class="page-subheading">{l s='Your points and vouchers' mod='zerosix'}</h2>
      {/if}
      <hr class="zs-sepa-title"/>

      <div class="zs-container-points-informations ps-17">
        <div class="zs-point-balance">

          {if $zs_results->program_info->program_type == "CASHBACK"}
          <i class="material-icons">euro_symbol</i>
          <span>{l s='Cashback amount available' mod='zerosix'} : </span>
          <span class="bold">{$zs_results->points_balance}</span>
          <p class="zs-reward-use-info">{l s='It is necessary to turn your cashabck into a voucher in case you want to use it in a order' mod='zerosix'}</p>
          {else}
          <i class="material-icons">add_circle_outline</i>
          <span>{l s='Number of points accumulated' mod='zerosix'} : </span>
          <span class="bold">{$zs_results->points_balance|escape:'htmlall':'UTF-8'}</span>
          {/if}

          {* Convert CASHBACK *}
          {if $zs_results->points_balance > 0 && $zs_results->program_info->program_type == "CASHBACK" }
          <form id="convertCashBackForm" method="post">
            <button type="submit" name="convertCashBack" class="btn btn-primary convert-amount">{l s='Convert your cashabck into a voucher' mod='zerosix'}</button>
          </form>
          {/if}
        </div>
      </div>

      <div class="zs-container-reward-informations ps-17">
        <p>
          <i class="material-icons">card_giftcard</i>
          <span>{l s='Number of available voucher' mod='zerosix'} : </span>
          <span class="bold">{$zs_results->available_vouchers|count}</span>
        </p>
        <p class="zs-reward-use-info">{l s='You can use your available vouchers at the time you order' mod='zerosix'}</p>
      </div>

      {if $zs_results->available_vouchers|count > 0 }
        <h2 class="zs-reward-list-title ps-17">{l s='Your vouchers' mod='zerosix'}</h2>
        <div class="container special-voucher-container ps-17">
          {foreach from=$zs_results->available_vouchers item=voucher}
            <div class="col-md-6 col-xs-12">
              <div class="zs-reward-card">
                <h4 class="zs-reward-card-title">{$voucher->name|escape:'htmlall':'UTF-8'}</h4>
                <div class="zs-reward-card-content">
                  <p class="zs-reward-card-value">
                    <span>{l s='Value' mod='zerosix'} : </span>
                    <span class="bold">{$voucher->value|escape:'htmlall':'UTF-8'} {$voucher->unit|escape:'htmlall':'UTF-8'}</span>
                  </p>
                </div>
              </div>
            </div>
          {/foreach}
        </div>
      {/if}
    {/if}



    {if !$card}
      <h1 class="page-subheading">{l s='Link your card with your phone number' mod='zerosix'}</h1>
      <div class="alert alert-info">
        {l s='Fill the field with your mobile phone number to create your loyalty card' mod='zerosix'} <br>
      </div>

      <form class="std" action="{$link->getModuleLink('zerosix','account')|escape:'htmlall':'UTF-8'}" method="post">
        <div class="form-group">
          <label class="zs-form-label" for="card">{l s='Your phone number' mod='zerosix'}</label>
          <input type="phone" required name="zs_phone" {if $card}disabled{/if} value="{if isset($zs_phone) && $zs_phone != ''}{$zs_phone|escape:'htmlall':'UTF-8'}{/if}">
        </div>

        {if $sponsorship_enabled}
        <div class="form-group">
          <label class="zs-form-label" for="">{l s='Sponsor code' mod='zerosix'}</label>
          <input type="text" name="zs_sponsor_code" {if $card}disabled{/if} value="{if isset($zs_sponsor_code) && $zs_sponsor_code != ''}{$zs_sponsor_code|escape:'htmlall':'UTF-8'}{/if}">
          <span class="form-control-comment zs-sponsor-comment">{l s="Optionnal" mod='zerosix'} {l s='Enter your sponsor code if you have one.' mod='zerosix'} <a href="{$about_sponsorship|escape:'htmlall':'UTF-8'}" target="_blank">{l s='Learn more about the sponsorship offer.' mod='zerosix'}</a></span>
        </div>
        {/if}
        {if $multi_languages_enabled }
        <label class="zs-form-label" for="">{l s='What is your favorite language ?' mod='zerosix'}</label>
        <select required name="prefered_language_id">
          {foreach from=$available_languages item=language}
            <option value={$language->id}> {$language->name}</option>
          {/foreach}
        </select>
        {/if}
        <div class="form-group">
          <input required type="checkbox" name="zs_terms" id="zs_terms" value="1">
          <span>{l s='In order to finish your loyalty card creation you must accept' mod='zerosix'}</span>
          <a target="_blank" href="{$url_terms|escape:'htmlall':'UTF-8'}">
            <span>{l s='terms and conditions' mod='zerosix'}&nbsp;</span>
            <i class="icon icon-external-link"></i>
          </a>
        </div>

        <div class="form-group zs-actions">
          <label for="">&nbsp;</label>
          <a target="_blank" href="{$url_loyalty|escape:'htmlall':'UTF-8'}" class="btn btn-primary" ><i class="icon icon-external-link"></i> {l s='Discover our loyalty program' mod='zerosix'}</a>
          <button type="submit" {if $card}disabled{/if} class="btn btn-primary" name="submitZSCard"><i class="icon icon-send"></i> {l s='Activate my card' mod='zerosix'}</button>
        </div>
      </form>
    {/if}
  </section> {* end box*}
  <a class="btn btn-default button button-small ps-17-account-button" href="{$urls.base_url}" title="Accueil"><span><i class="icon-chevron-left"></i> {l s='Home' mod='zerosix'}</span></a>
  <a class="btn btn-default button button-small ps-17-account-button" href="{$link->getPageLink('my-account', true)|escape:'html':'UTF-8'}" title="Mon compte"><span><i class="icon-chevron-left"></i> {l s='My account' mod='zerosix'}</span></a>
{/block}


{block name='page_footer'}
  {block name='my_account_links'}
    {* Clear default links*}
  {/block}
{/block}